<?php

namespace App;



use Illuminate\Database\Eloquent\Model;

use Auth;
use Carbon\Carbon;
class Source extends Model

{

    /**

     * The attributes that are mass assignable.

     *

     * @var array

     */

    protected $fillable = [


        'name', 'company_name', 'office_phone','mobile_phone'

    ];



    /**

     * The attributes that should be hidden for arrays.

     *

     * @var array

     */



    public function user(){

        return $this->belongsTo('App\User');

    }
    public function getCreatedatAttribute($value)

    {
        $timezone = \App\Setting::where("user_id",Auth::User()->id)->value("timezone");
        $timezone = preg_replace('/\-/', '/', $timezone);
          if($timezone=='' || $timezone==null){
            $timezone = 'America/Chicago';
          }
          //echo $timzon;
        $date =  Carbon::createFromFormat('Y-m-d H:i:s', $value, 'UTC')
        ->setTimezone($timezone);
        return  $date;

    }

}

