<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Auth;
use Carbon\Carbon;
class TwowayConversation extends Model
{
    
    protected $fillable = [
   
    ];
    
    public function user(){
        return $this->belongsTo('App\User');
    }
    public function msgs()
    {
        return $this->hasMany('App\Chat','conversation_id','id');
    }
    public function getCreatedatAttribute($value)

    {
        $timezone = \App\Setting::where("user_id",Auth::User()->id)->value("timezone");
        $timezone = preg_replace('/\-/', '/', $timezone);
          if($timezone=='' || $timezone==null){
            $timezone = 'America/Chicago';
          }
          //echo $timzon;
        $date =  Carbon::createFromFormat('Y-m-d H:i:s', $value, 'UTC')
        ->setTimezone($timezone);
        return  $date;

    }
}
