<?php $__env->startSection('title',"Create Campaign"); ?>
<?php $__env->startSection('content'); ?>
<?php
//print_r($data->Campgroups()->pluck('group_id'));
?>

<div class="row">
    <div class="col-md-12 col-lg-12">
        
        <div class="kt-portlet kt-portlet--tabs">
            <div class="kt-portlet__head">
                <div class="kt-portlet__head-toolbar">
                    <ul class="nav nav-tabs nav-tabs-line nav-tabs-line-danger nav-tabs-line-2x nav-tabs-line-right nav-tabs-bold" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" data-toggle="tab" href="#basic" role="tab" aria-selected="true">
                                <i class="fa fa-info-circle" aria-hidden="true"></i>Basic Info
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#offers" role="tab" aria-selected="false">
                                <i class="fab fa fa-dice-d6" aria-hidden="true"></i>Offers
                            </a>
                        </li>
                        
                    </ul>
                </div>
            </div>
            
            <div class="kt-portlet__body">
            <form id="camp_form" role="form" method="post" enctype="multipart/form-data" action=''>
                            <?php echo e(csrf_field()); ?>

                 <input type="hidden" value="<?php echo e(isset($data->id)?$data->id:''); ?>" name="id" />           
                <div class="tab-content">
                    <div class="tab-pane active" id="basic" role="tabpanel">
                        <div class="form-group">
							<label>Campaign Name:</label>
							<input value="<?php echo e(isset($data->name)?$data->name:''); ?>" type="text" name="name" required="" class="form-control" placeholder="Enter campaign name">
							
						</div>
                        <div class="form-group">
							<label>Status:</label>
							<select class="form-control" name="status">
                                <option <?php echo e(isset($data->status) && $data->status=='draft'?'selected':''); ?> value="draft">Draft</option>
                                <option <?php echo e(isset($data->status) && $data->status=='live'?'selected':''); ?> value="live">Live</option>
                            </select>
							
						</div>
                        <div class="form-group">
							<label>Welcome Message:</label>
							<textarea class="form-control" id="welcome_msg" name="welcome_msg"><?php echo e(isset($data->welcome_msg)?$data->welcome_msg:''); ?></textarea>
							<span class="form-text text-muted">Message will be sent to lead immediately once lead optin to system.</span>
                            <span class="form-text">
                                Tags: 
                                    <button onclick="insert_cursor('%first_name%', '#welcome_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">FirstName</button> 
                                    <button onclick="insert_cursor('%last_name%', '#welcome_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">LasrName</button> 
                                    <button onclick="insert_cursor('%email%', '#welcome_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">Email</button> 
                                    <button onclick="insert_cursor('%phone%', '#welcome_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">Phone</button> 
                                    <button onclick="insert_cursor('%city%', '#welcome_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">City</button> 
                                    <button onclick="insert_cursor('%state%', '#welcome_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">State</button>
                                    <button onclick="insert_cursor('%zip%', '#welcome_msg')" type="button" class="btn btn-success btn-elevate btn-pill btn-sm">Zip</button> 
                                    <button onclick="insert_cursor('%source%', '#welcome_msg')" type="button" class="btn btn-info btn-elevate btn-pill btn-sm">source</button>
                                    <button onclick="insert_cursor('%brand%', '#welcome_msg')" type="button" class="btn btn-info btn-elevate btn-pill btn-sm">brand</button> 
                            </span>
						</div>
                        
                        <div class="form-group">
							<label>Groups:</label>
							<select style="width: 100%;" name="groups[]" id="groups" class="kt-select2 select2 form-control select2-multiple" data-toggle="select2" multiple="multiple" data-placeholder="Choose ...">
                                <?php
                                
                                  if($groups)
                                  {
                                    $cp = array();
                                    if(isset($data))
                                    {
                                        $cp = $data->Campgroups()->pluck('group_id')->toArray();
                                    }
                                    
                                    foreach($groups as $gp)
                                    {
                                        if(in_array($gp->id,$cp))
                                        {
                                            echo "<option selected value='$gp->id'>$gp->name</option>";
                                        }else
                                        {
                                            echo "<option value='$gp->id'>$gp->name</option>";
                                        }
                                        
                                    }
                                  }
                                 ?>
                            </select>
							
						</div>
                        
                    <button type="submit" class="loading btn btn-info pull-right">Save</button>
                    </div>
                    
                    <div class="tab-pane" id="offers" role="tabpanel">
                        
                        
                            <div class="row">
                                <div class="col-md-12">
                                <a href="javascript:addOffer()" class="btn btn-outline-brand"><i class="la la-plus"></i>Add Offer</a>
                                </div>
                            </div>
                            <br />
                           <div class="row">
                                <div class="col-md-12">
                                    <div class="accordion" id="offer_div">
                                   
                                        <?php
                                            if(isset($data))
                                            {
                                                if($data->Campfollowups()->count()>0)
                                                {
                                                    $followups = $data->Campfollowups()->get();
                                                    $cnt = 1;
                                                    
                                                    foreach($followups as $offer)
                                                    {
                                                        $timeshow = "";
                                                        $offer_name = \App\Offer::where("id",$offer->offer_id)->value("name");
                                                        if($offer->send_by=="days")
                                                        {
                                                            $timeshow = "after $offer->days_to_send day(s) at $offer->time_to_send";
                                                        }else if($offer->send_by=="mins")
                                                        {
                                                            $timeshow = "after $offer->mins_to_send mins from optin time";
                                                        }else
                                                        {
                                                            $timeshow = "after $offer->hours_to_send hour(s) from optin time";
                                                        }
                                                        ?>
                                                        
                                                        <div class="card">
                                                        	<div class="card-header" id="">
                                                                <div class="row">
                                                                    <div class="col-md-11">
                                                                    <div class="card-title collapsed" data-toggle="collapse" data-target="#offer-<?php echo e($cnt); ?>" aria-expanded="false" aria-controls="offer-<?php echo e($cnt); ?>">
                                                        			<?php echo e(($offer_name!=null)?$offer_name:'Offer'); ?>&nbsp; - &nbsp; <span class="kt-font-success"> <?php echo e($timeshow); ?> </span> 
                                                        		</div>
                                                                    </div>
                                                                    <div class="col-md-1" style="margin-top: 4px;">
                                                                        <button onclick="delOffer(this,<?php echo e($offer->id); ?>)" type="button" class="btn btn-danger btn-elevate btn-circle btn-icon"><i class="flaticon-delete-1"></i></button>
                                                                    </div>
                                                                </div>
                                                        		
                                                        	</div>
                                                        	<div id="offer-<?php echo e($cnt); ?>" class="card-body-wrapper collapse" aria-labelledby="" data-parent="#offer_div" style="">
                                                        		<div class="card-body">
                                                        			<input type="hidden" name='oid[]' value="<?php echo e($offer->id); ?>" />
                                                                    
                                                                    <div class="form-group row">
                                                                        <input type="hidden" name="send_by[]" value="<?php echo e($offer->send_by); ?>" />
                                                            			<label class="col-1 col-form-label">Send by time</label>
                                                            			<div class="col-1">
                                                            				<span class="kt-switch kt-switch--outline kt-switch--icon kt-switch--success">
                                                            					<label>
                                                            						<input onclick="showHrday2('days<?php echo e($cnt); ?>','hours<?php echo e($cnt); ?>','mins<?php echo e($cnt); ?>',this)" <?php echo e($offer->send_by=='days' ? 'checked':''); ?> value="days" type="radio" name="send_by<?php echo e($cnt); ?>">
                                                            						<span></span>
                                                            					</label>
                                                            				</span>
                                                            			</div>
                                                            			<label class="col-1 col-form-label">Send by hour</label>
                                                            			<div class="col-1">
                                                            				<span class="kt-switch kt-switch--outline kt-switch--icon kt-switch--focus">
                                                            					<label>
                                                            						<input onclick="showHrday2('hours<?php echo e($cnt); ?>','days<?php echo e($cnt); ?>','mins<?php echo e($cnt); ?>',this)" <?php echo e($offer->send_by=='hours' ? 'checked':''); ?> value="hours" type="radio"  name="send_by<?php echo e($cnt); ?>">
                                                            						<span></span>
                                                            					</label>
                                                            				</span>
                                                            			</div>
                                                                        <label class="col-1 col-form-label">Send by mins</label>
                                                            			<div class="col-1">
                                                            				<span class="kt-switch kt-switch--outline kt-switch--icon kt-switch--danger">
                                                            					<label>
                                                            						<input onclick="showHrday2('mins<?php echo e($cnt); ?>','hours<?php echo e($cnt); ?>','days<?php echo e($cnt); ?>',this)" <?php echo e($offer->send_by=='mins' ? 'checked':''); ?> value="mins" type="radio"  name="send_by<?php echo e($cnt); ?>">
                                                            						<span></span>
                                                            					</label>
                                                            				</span>
                                                            			</div>
                                                            		</div>
                                                                    
                                                                    
                                                                    <div class="form-group days<?php echo e($cnt); ?>" style="<?php echo e($offer->send_by=='days' ? '':'display: none'); ?>">
                                                        			     <label>No. of Days to Send:</label>
                                                        			     <input value="<?php echo e($offer->days_to_send==''?'0':$offer->days_to_send); ?>" type="number" name="days_to_send[]"  class="form-control" placeholder="">
                                                                         <span class="form-text text-muted">Message will be sent to lead after above days from the optin date.</span>	
                                                        			</div>
                                                        	
                                                               
                                                        			<div class="form-group days<?php echo e($cnt); ?>" style="<?php echo e($offer->send_by=='days' ? '':'display: none'); ?>">
                                                        			     <label>Time of that Day:</label>
                                                        			     <select class="form-control" name="time_to_send[]">
                                                                         
                                                                         <?php 
                                                                            $start = "00:00";
                                                                             $end = "23:45";
                                                                            
                                                                              $tStart = strtotime($start);
                                                                               $tEnd = strtotime($end);
                                                                                $tNow = $tStart;
                                                                                 
                                                                                while($tNow <= $tEnd){
                                                                                $time = date("h:i A",$tNow);    
                                                                              if($time==$offer->time_to_send)
                                                                              {
                                                                                echo "<option selected value='$time'>$time</option>";
                                                                              }else
                                                                              {
                                                                                echo "<option value='$time'>$time</option>";
                                                                              }
                                                                              
                                                                              $tNow = strtotime('+15 minutes',$tNow);
                                                                            }
                                                                         ?>
                                                                        </select>
                                                        			</div>
                                                                    
                                                                    <div class="form-group hours<?php echo e($cnt); ?>" style="<?php echo e($offer->send_by=='hours' ? '':'display: none'); ?>">
                                                        			     <label>Hours to send:</label>
                                                        			     <input min='1' value="<?php echo e($offer->hours_to_send==''?'1':$offer->hours_to_send); ?>" type="number" name="hours_to_send[]"  class="form-control" placeholder="">
                                                                         <span class="form-text text-muted">Amount of hours you want to send a message after user subscribes.</span>	
                                                        			</div>
                                                        
                                                                    <div class="form-group mins<?php echo e($cnt); ?>" style="<?php echo e($offer->send_by=='mins' ? '':'display: none'); ?>">
                                                        			     
                                                        			     <select class="form-control" name="mins_to_send[]">
                                                                        
                                                                         <option <?php echo e($offer->mins_to_send=='15'? 'selected':''); ?> value="15">15</option>
                                                                         <option <?php echo e($offer->mins_to_send=='30'? 'selected':''); ?> value="30">30</option>
                                                                         <option <?php echo e($offer->mins_to_send=='45'? 'selected':''); ?> value="45">45</option>
                                                                        </select>
                                                        			</div>
                                                                <div class="form-group" >
                                                        			     <label>Select Offer:</label>
                                                        			     <select required class="form-control" name="offer_id[]">
                                                                         
                                                                         <?php 
                                                                            
                                                                            
                                                                            if($offers)
                                                                            {
                                                                                foreach($offers as $offer1)
                                                                                {
                                                                                    if($offer1->id==$offer->offer_id)
                                                                                    {
                                                                                        echo "<option selected value='$offer1->id'>$offer1->name</option>";
                                                                                    }else
                                                                                    {
                                                                                        echo "<option value='$offer1->id'>$offer1->name</option>";
                                                                                    }
                                                                                    
                                                                                }
                                                                            }
                                                                            
                                                                            
                                                                            
                                                                         ?>
                                                                        </select>
                                                        			</div>
                                                        	
                                                                    
                                                                    
                                                        		</div>
                                                        	</div>
                                                        </div>
                                                        
                                                        <?php
                                                        $cnt++;
                                                    }
                                                    
                                                }
                                            }
                                        ?>
                                   </div>
                               </div>
                           </div>
                        
                        <br />
                            <button type="submit"  class="loading btn btn-info pull-right">Save</button>
                    </div>
                </div>   
                </form>   
            </div>
        </div>
        
    </div>
</div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(url('assets/js/pages/components/extended/sweetalert2.js')); ?>" type="text/javascript"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>
<script src="<?php echo e(url('assets/js/validate.js')); ?>" type="text/javascript"></script>
<!--<script src="<?php echo e(url('assets/js/pages/components/portlets/tools.js')); ?>" type="text/javascript"></script>-->
<script>
var offer_count = Number('<?php echo e(isset($data)?$data->Campfollowups()->count():0); ?>');
function showmod()
{
    $("#contact_form").modal("show");
    $("#save_contact").resetForm();
}
function checkofferid(obj,id)
{
    var camp_id = "<?php echo e(isset($data)?$data->id:''); ?>";
    $.get("<?php echo e(route('check_offer')); ?>",{id:id,camp_id:camp_id},function(res){
        if(res!=0)
        {
            $(obj).val('');
            swal.fire(
                      'Error!',
                      'Offer ID already used.',
                      'error'
                    );
        }
        
    })
}
function insert_cursor(myValue,myField) {
      
         myField = myField.replace('#','');
          document.getElementById(myField);
        //IE support
        if (document.selection) {
            document.getElementById(myField).focus();
            sel = document.selection.createRange();
            sel.text = myValue;
        }
        // Microsoft Edge
        else if(window.navigator.userAgent.indexOf("Edge") > -1) {
          var startPos = document.getElementById(myField).selectionStart; 
          var endPos = document.getElementById(myField).selectionEnd; 
              
          document.getElementById(myField).value = document.getElementById(myField).value.substring(0, startPos)+ myValue 
                 + document.getElementById(myField).value.substring(endPos, document.getElementById(myField).value.length); 
          
          var pos = startPos + myValue.length;
          document.getElementById(myField).focus();
          document.getElementById(myField).setSelectionRange(pos, pos);
        }
        //MOZILLA and others
        else if (document.getElementById(myField).selectionStart || document.getElementById(myField).selectionStart == '0') {
            var startPos = document.getElementById(myField).selectionStart;
            var endPos = document.getElementById(myField).selectionEnd;
            document.getElementById(myField).value = document.getElementById(myField).value.substring(0, startPos)
                + myValue
                + document.getElementById(myField).value.substring(endPos, document.getElementById(myField).value.length);
        } else {
            document.getElementById(myField).value += myValue;
        }
    }
function delOffer(obj,id)
{
    swal.fire({
          title: 'Are you sure?',
          text: "You won't be able to revert this!",
          type: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
          if (result.value) {
            if(id=='')
            {
                $(obj).parent().parent().parent().parent().remove();
                offer_count = offer_count-1;
                return "";
            }
            //$("#loading").show();
            $('.loading').addClass("kt-spinner kt-spinner--light kt-spinner--right");
            $.get("<?php echo e(route('del_followup')); ?>",{id:id},function(res){
                 $('.loading').removeClass("kt-spinner kt-spinner--light kt-spinner--right");
                //$("#loading").hide();
                if(res=='1')
                {
                   swal.fire(
                      'Deleted!',
                      'Offer has been deleted.',
                      'success'
                    );
                    $(obj).parent().parent().parent().parent().remove();
                    offer_count = offer_count-1;
                }else{
                    swal.fire({
                      title: 'Error!',
                      text: 'Error while deleting!',
                      type: 'error',
                      confirmButtonText: 'Ok'
                    })
                }
            })
            
          }
        })
    
}
function editFun(id)
{
    $.get("<?php echo e(route('get_contact')); ?>",{id:id},function(res){
        $.each(res,function(k,v){
            console.log(k);
            $('input[name="'+k+'"]').val(v);
        })
        $('select[name="group_id"]').val(res.group_id);
        $("#contact_form").modal("show");
    })
}
function addOffer()
{
    offer_count = offer_count+1;
    $('.loading').addClass("kt-spinner kt-spinner--light kt-spinner--right");
    $.get("<?php echo e(route('new_followup')); ?>",{count:offer_count},function(res){
       
       $('.loading').removeClass("kt-spinner kt-spinner--light kt-spinner--right");
            $("#offer_div").append(res);
    })
}
function deleteFun(id)
{
    
        swal.fire({
          title: 'Are you sure?',
          text: "You won't be able to revert this!",
          type: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
          if (result.value) {
            //$("#loading").show();
            $.get("<?php echo e(route('del_contact')); ?>",{id:id},function(res){
                //$("#loading").hide();
                if(res=='1')
                {
                   swal.fire(
                      'Deleted!',
                      'Contact has been deleted.',
                      'success'
                    );
                    $('#reloadtable').click();
                }else{
                    swal.fire({
                      title: 'Error!',
                      text: 'Error while deleting!',
                      type: 'error',
                      confirmButtonText: 'Ok'
                    })
                }
            })
            
          }
        })
    
}
function showHrday2(sh,hd,hd2,obj)
{
    $("."+sh).show();
    $("."+hd).hide();
    $("."+hd2).hide();
    $(obj).parent().parent().parent().parent().find("input[name='send_by[]']").val($(obj).val());
}
    $(document).ready(function(){
        ///$(".kt-select2").select2();
        $('.select2').select2({
  placeholder: 'This is my placeholder',
});
       
      $('.select2').on('select2:unselect', function (e) { 
        console.log()
        $.get("<?php echo e(route('del_camp_group')); ?>",{group_id:e.params.data.id,"campaign_id":"<?php echo e(@$data->id); ?>"},function(res){
                //$("#loading").hide();
                if(res=='1')
                {
                   
                }else{
                    
                }
            })
});
        
        $("#camp_form").submit(function(){
           
                $('.loading').addClass("kt-spinner kt-spinner--light kt-spinner--right");
                
                $.post('<?php echo route("campaigns.store"); ?>',$(this).serialize(),function(res){
                    $('.loading').removeClass("kt-spinner kt-spinner--light kt-spinner--right");
                    var obj = JSON.parse(res);
                    if(obj.success==true)
                    {
                        swal.fire({
                          title: 'Good Job!',
                          text: 'Campaign saved successfully!',
                          type: 'success',
                          confirmButtonText: 'Ok'
                        })
                        $("input[name='id']").val(obj.camp_id);
                        if(obj.fol_id.length>0)
                            {
                                $.each(obj.fol_id,function(k,v){
                                    console.log("fol="+v);
                                    $('input[name="oid[]"]').eq(k).val(v);
                                });
                            }

                        //window.location  = "<?php echo e(url('campaigns')); ?>";
                        //$("#camp_form").modal("hide");
                        //$("#camp_form").resetForm();
                    }else
                    {
                        swal.fire({

                          title: 'Error!',
    
                          text: "Error while saving campaign",
    
                          type: 'error',
    
                          confirmButtonText: 'Ok'
    
                        })
                    }
                })
                
            return false
        });
        
         
        
        
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sav/public_html/app/resources/views/admin/campaign/create.blade.php ENDPATH**/ ?>