<?php $__env->startSection('title',"Source"); ?>
<?php $__env->startSection('content'); ?>
<?php

?>
<link href="assets/plugins/custom/datatables/datatables.bundle.css" rel="stylesheet" type="text/css" />
<div class="row">
    <div class="col-md-12">
        <button onclick="showmod()" type="button" class="btn btn-outline-brand"><i class="la la-plus"></i>Add New</button>
    </div>
</div>
<br />
<div class="row">
    <div class="col-md-12 col-lg-12">
    
    <div class="kt-portlet kt-portlet--mobile">
								<div class="kt-portlet__head">
									<div class="kt-portlet__head-label">
										<h3 class="kt-portlet__head-title">
											Source's List
										</h3>
									</div>
                                    <div class="kt-portlet__head-toolbar">
										<div class="kt-portlet__head-toolbar-wrapper">
											<div class="dropdown dropdown-inline">
												<button id="reloadtable" title="Refresh" onclick="$('#datatable').DataTable().ajax.reload()" type="button" class="btn  btn-sm btn-outline-brand">
													<i class="la la-refresh"></i>
												</button>
                                                <button id="loadingm" style="display: none;" class="btn btn-primary" type="button">
														<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
														Processing...
												</button>
												
											</div>
										</div>
									</div>
								</div>
								<div class="kt-portlet__body">

									<!--begin: Datatable -->
									<table class="table table-striped- table-bordered table-hover table-checkable" id="datatable">
										<thead>
											<tr>
												<th>ID</th>
												<th>Source Name</th>
												<th>Company Name</th>
												<th>Email</th>
												<th>Office Phone</th>
												<th>Created At</th>
												<th>Actions</th>
											</tr>
										</thead>
									</table>

									<!--end: Datatable -->
								</div>
							</div>
    </div>
</div>

<div id="group_form" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="standard-modalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-scrollable">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title" id="standard-modalLabel">Save Source</h4>
                        </div>
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-12">
                                
                                 <form id="save_source" method="post">
                               
                                   <input name="id" value="" type="hidden" />
                                   <input name="user_id" value="" type="hidden" />
        
                                   <?php echo csrf_field(); ?>
                                    
                                      <div class="form-group clearfix">
                                         <label for="name" class="col-md-5 control-label">Source Name</label>
                                         <div class="col-12">
                                          
                                          <input  required="" type="text" name="name" class="form-control" id="name"/>
                                         
                                         </div>
                                      </div>
                                      
                                      <div class="form-group clearfix">
                                         <label for="name" class="col-md-5 control-label">Company Name</label>
                                         <div class="col-12">
                                          
                                          <input type="text" required="" name="company_name" class="form-control" id="company_name"/>
                                         
                                         </div>
                                      </div>
                                      
                                      <div class="form-group clearfix">
                                         <label for="name" class="col-md-5 control-label">First Name </label>
                                         <div class="col-12">
                                          
                                            <input required="" required="" type="text" name="fname" class="form-control" id="fname"/>
                                          
                                         </div>
                                      </div>
                                      
                                      <div class="form-group clearfix">
                                         <label for="name" class="col-md-5 control-label">Last Name </label>
                                         <div class="col-12">
                                          
                                            <input required="" required="" type="text" name="lname" class="form-control" id="lname"/>
                                          
                                         </div>
                                      </div>
                                      
                                      <div class="form-group clearfix">
                                         <label for="name" class="col-md-5 control-label">Email </label>
                                         <div class="col-12">
                                          
                                            <input required="" required="" type="text" name="email" class="form-control" id="email"/>
                                          
                                         </div>
                                      </div>
                                      
                                      <div class="form-group clearfix">
                                         <label for="name" class="col-md-5 control-label">Office Phone</label>
                                         <div class="col-12">
                                          
                                            <input type="text" name="phone" class="form-control" id="phone"/>
                                          
                                         </div>
                                      </div>
                                      
                                      <div class="form-group clearfix">
                                         <label for="name" class="col-md-5 control-label">Mobile Phone</label>
                                         <div class="col-12">
                                          
                                            <input type="text" name="mobile_phone" class="form-control" id="mobile_phone"/>
                                          
                                         </div>
                                      </div>
                                      
                                      
                                      
                                      <div class="modal-footer">
                                        <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
                                        <button type="submit" class="loading btn btn-primary">Save</button>
                                    </div>
                                 </form>
                                   
                                </div>
                            </div> 
                        </div>
                        
                    </div><!-- /.modal-content -->
                </div><!-- /.modal-dialog -->
            </div><!-- /.modal -->

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="assets/plugins/custom/datatables/datatables.bundle.js" type="text/javascript"></script>
<script src="<?php echo e(url('assets/js/pages/components/extended/sweetalert2.js')); ?>" type="text/javascript"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.0.13/dist/js/select2.min.js"></script>
<script>

function showmod()
{
    $("#group_form").modal("show");
    $("#save_source").resetForm();
    $('input[name="id"]').val('');
    $('input[name="user_id"]').val('');
}

function editFun(id)
{
    $("#loadingm").show();
    $.get("<?php echo e(route('get_source')); ?>",{id:id},function(res){
        $("#loadingm").hide();
        //$("select[name='age']").val(res.age);
        //$("select[name='service_id']").val(res.service_id)
        //$("input[name='name']").val(res.name)
        $("input[name='name']").val(res.name);
        $("input[name='email']").val(res.email);
        $("input[name='phone']").val(res.office_phone);
        $("input[name='mobile_phone']").val(res.mobile_phone);
        $("input[name='company_name']").val(res.company_name);
        $("input[name='fname']").val(res.fname);
        $("input[name='lname']").val(res.lname);
        $("input[name='user_id']").val(res.user_id);
        $("input[name='id']").val(res.id)
        $("#group_form").modal("show");
    })
}
function deleteFun(id)
{
    
        swal.fire({
          title: 'Are you sure?',
          text: "You won't be able to revert this!",
          type: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
          if (result.value) {
            //$("#loading").show();
            $("#loadingm").show();
            $.get("<?php echo e(route('del_source')); ?>",{id:id},function(res){
                //$("#loading").hide();
                $("#loadingm").hide();
                if(res=='1')
                {
                   swal.fire(
                      'Deleted!',
                      'Source has been deleted.',
                      'success'
                    );
                    $('#reloadtable').click();
                }else{
                    swal.fire({
                      title: 'Error!',
                      text: 'Error while deleting!',
                      type: 'error',
                      confirmButtonText: 'Ok'
                    })
                }
            })
            
          }
        })
    
}
    $(document).ready(function(){
        ///$(".kt-select2").select2();
        $('.select2').select2({
  placeholder: 'This is my placeholder',
  allowClear: true
});
        $('#datatable').DataTable({          
		processing: true,
		serverSide:true,
     ajax: "<?php echo e(route('list_source')); ?>",
      columns : [ 
    		{ name: 'sources.id', data: 'id' },
    		{ name: 'sources.name', data: 'name' },
            { name: 'sources.company_name', data: 'company_name' },
            { name: 'users.email', data: 'email' },
            { name: 'sources.office_phone', data: 'office_phone' },
    		{ name: 'sources.created_at', data: 'created_at' },
    		{ data: 'action', name: 'action', orderable: false, searchable: false}
    		
    		]
        });
        
        
        $("#save_source").submit(function(){
            
            
            
                $('.loading').addClass("kt-spinner kt-spinner--light kt-spinner--right");
                $('.loading').prop('disabled', true); 
                
                $.post('<?php echo route("source.store"); ?>',$(this).serialize(),function(res){
                    $('.loading').removeClass("kt-spinner kt-spinner--light kt-spinner--right");
                    $('.loading').prop('disabled', false); 
                    if(res=='1')
                    {
                        swal.fire({
                          title: 'Good Job!',
                          text: 'Source saved successfully!',
                          type: 'success',
                          confirmButtonText: 'Ok'
                        })
                        $('#reloadtable').click();
                        $("#group_form").modal("hide");
                        $("#save_source").resetForm();
                    }
                    else if(res=='2')
                    {
                         swal.fire({

                          title: 'Error!',
    
                          text: 'Email already exists!',
    
                          type: 'error',
    
                          confirmButtonText: 'Ok'
    
                        })
                    }
                    else if(res=='3')
                    {
                         swal.fire({

                          title: 'Error!',
    
                          text: 'Source name already exists!',
    
                          type: 'error',
    
                          confirmButtonText: 'Ok'
    
                        })
                    }
                    else
                    {
                        swal.fire({

                          title: 'Error!',
    
                          text: 'Error while saving source!',
    
                          type: 'error',
    
                          confirmButtonText: 'Ok'
    
                        })
                    }
                })
                
            return false
        });
        
         
        
        
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/sav/public_html/app/resources/views/admin/sources/list.blade.php ENDPATH**/ ?>