<?php $__env->startSection('title',"Platform Settings"); ?>
<?php $__env->startSection('content'); ?>

<div class="row">  
    <div class="col-md-12 col-lg-12">
     <?php if(Session::has('success')): ?>
                            <div class="alert-box success">
                                <div class="alert alert-success"><?php echo e(Session::get('success')); ?></div>
                            </div>
                         <?php endif; ?>
                         <?php if(Session::has('error')): ?>
                            <div class="alert-box success">
                                <div class="alert alert-danger"><?php echo e(Session::get('error')); ?></div>
                            </div>
                         <?php endif; ?>
        <div class="kt-portlet kt-portlet--tabs">
            <div class="kt-portlet__head">
                <div class="kt-portlet__head-toolbar">
                    <ul class="nav nav-tabs nav-tabs-line nav-tabs-line-danger nav-tabs-line-2x nav-tabs-line-right nav-tabs-bold" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" data-toggle="tab" href="#twilio" role="tab" aria-selected="true">
                                <i class="fa fa-phone-alt" aria-hidden="true"></i>Twilio
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#timezone" role="tab" aria-selected="false">
                                <i class="fab fa fa-clock" aria-hidden="true"></i>Timezone/Webhook
                            </a>
                        </li>
                        <!--<li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#call" role="tab" aria-selected="false">
                                <i class="fab fa fa-headphones-alt" aria-hidden="true"></i>Call Settings
                            </a>
                        </li>-->
                        
                    </ul>
                </div>
            </div>
            <div class="kt-portlet__body">
            <form id="seting_form" role="form" method="post" enctype="multipart/form-data" action='<?php echo route("settings.store"); ?>'>
                            <?php echo e(csrf_field()); ?>

                 <input type="hidden" value="<?php echo e(\App\Setting::where('user_id',Auth::User()->id)->value('id')); ?>" name="id" />           
                <div class="tab-content">
                    <div class="tab-pane active" id="twilio" role="tabpanel">
                        <div class="form-group ">
						<label>Twilio Sid</label>
						<div class="input-group">
							<input required type="password" id="twilio_sid"  name="twilio_sid" class="form-control" value="<?php echo e(@$data->twilio_sid); ?>" >
							<div class="input-group-append">
								<button onclick="showPass('#twilio_sid')"  type="button" class="btn btn-primary" type="button"><i style="color:#fff" class="fas fa-fw fa-eye"></i></button>
							</div>
						</div>
					</div>
                    <div class="form-group ">
						<label>Twilio Token</label>
						<div class="input-group">
							<input required type="password" id="twilio_token" name="twilio_token" class="form-control" value="<?php echo e(@$data->twilio_token); ?>" >
							<div class="input-group-append">
								<button  onclick="showPass('#twilio_token')" type="button" class="btn btn-primary" type="button"><i style="color:#fff" class="fas fa-fw fa-eye"></i></button>
							</div>
						</div>
					</div>
                    
                    <div class="form-group">
                                    <label for="timezone">Append Text</label>
                                    <textarea class="form-control" name="append_text"><?php echo e(@$data->append_text); ?></textarea>
                                    <p class="help-block">The above text will be append at the end of every out going message.</p>
                    </div>
                    
                    <button type="submit" class="loading btn btn-info pull-right">Save</button>
                    </div>
                    
                    <div class="tab-pane" id="timezone" role="tabpanel">
                        <div class="form-group">
                                    <label for="timezone">Timezone</label>
                                    <select id="timezone" class="form-control required" name="timezone" data-live-search="true">
                                        <option value="" selected="">Select Timezone</option>
                                        <?php
                                        $timezones = json_decode($timezones, true);
                                        foreach($timezones as $k=>$v){
                                            $selected = "";
                                            $val_sel = isset($data->timezone) ? $data->timezone : '';
                                            if($val_sel==$k){ $selected = "selected='selected'"; }
                                            echo "<option value='$k' $selected >$v</option>";
                                        }
                                        ?>
                                    </select>
                                    <p style="color:red; font-family: unset; display: none;" id="time">Please select timezone (Required)</p>
                        </div>
                        
                        <div class="form-group ">
						<label>Webhook URL</label>
						<div class="input-group">
							<input required type="text" id="embed_code" readonly="" class="form-control" value="<?php echo e(url('/get-lead')); ?>?uid=<?php echo e(Auth::User()->id); ?>" >
							<div class="input-group-append">
								<button  id='copy_embed' type="button" class="btn btn-primary" type="button"><i style="color:#fff" class="fas fa-fw fa-copy"></i></button>
							</div>
						</div>
					   </div>
                        
                            <button type="submit"  class="loading btn btn-info pull-right">Save</button>
                    </div>
                    
                    <div class="tab-pane" id="call" role="tabpanel">
                        <div class="form-group">
                                    <label for="timezone">Call Greetings</label>
                                    <textarea class="form-control" name="call_greetings"><?php echo e(@$data->call_greetings); ?></textarea>
                                    <p class="help-block">The above text will be played on incoming calls.</p>
                        </div>
                        <br />
                        <div>
                        <label class="col-3 col-form-label">Enable Call Recording</label>
                            <div class="col-3">
									<span class="kt-switch kt-switch--icon">
										<label>
											<input type="checkbox" <?php echo e(isset($data->call_record) && $data->call_record=='yes'?"checked":''); ?> name="call_record">
											<span></span>
										</label>
									</span>
								</div>
                        </div>
                        <button type="submit" class="loading btn btn-info pull-right">Save</button>
                    </div>
                </div>   
                </form>   
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(url('assets/js/pages/components/extended/sweetalert2.js')); ?>" type="text/javascript"></script>
<script src="assets/js/pages/components/extended/toastr.js" type="text/javascript"></script>
<script>
document.getElementById("copy_embed").addEventListener("click", function() {
    copyToClipboard(document.getElementById("embed_code"));
});
        function copyToClipboard(elem) {
	  // create hidden text element, if it doesn't already exist
    var targetId = "_hiddenCopyText_";
    var isInput = elem.tagName === "INPUT" || elem.tagName === "TEXTAREA";
    var origSelectionStart, origSelectionEnd;
    if (isInput) {
        // can just use the original source element for the selection and copy
        target = elem;
        origSelectionStart = elem.selectionStart;
        origSelectionEnd = elem.selectionEnd;
    } else {
        // must use a temporary form element for the selection and copy
        target = document.getElementById(targetId);
        if (!target) {
            var target = document.createElement("textarea");
            target.style.position = "absolute";
            target.style.left = "-9999px";
            target.style.top = "0";
            target.id = targetId;
            document.body.appendChild(target);
        }
        target.textContent = elem.textContent;
    }
    // select the content
    var currentFocus = document.activeElement;
    target.focus();
    target.setSelectionRange(0, target.value.length);
    
    // copy the selection
    var succeed;
    try {
    	  succeed = document.execCommand("copy");
           toastr.success("copied to clickboard!");
          
    } catch(e) {
        succeed = false;
    }
    // restore original focus
    if (currentFocus && typeof currentFocus.focus === "function") {
        currentFocus.focus();
    }
    
    if (isInput) {
        // restore prior selection
        elem.setSelectionRange(origSelectionStart, origSelectionEnd);
    } else {
        // clear temporary content
        target.textContent = "";
    }
    return succeed;
}

 function showPass(x){



        if($(x).attr("type")=='password')

        {

            $(x).attr("type",'text');

        }else

        {

            $(x).attr("type",'password');

        }



    }
    $(document).ready(function(){
        toastr.options = {
              "closeButton": false,
              "debug": false,
              "newestOnTop": false,
              "progressBar": false,
              "positionClass": "toast-top-right",
              "preventDuplicates": false,
              "onclick": null,
              "showDuration": "300",
              "hideDuration": "1000",
              "timeOut": "5000",
              "extendedTimeOut": "1000",
              "showEasing": "swing",
              "hideEasing": "linear",
              "showMethod": "fadeIn",
              "hideMethod": "fadeOut"
            };
        $("#seting_form").submit(function(){
                $('.loading').addClass("kt-spinner kt-spinner--light kt-spinner--right");
                $('.loading').prop('disabled', true); 
                
                $.post('<?php echo route("settings.store"); ?>',$(this).serialize(),function(res){
                    $('.loading').removeClass("kt-spinner kt-spinner--light kt-spinner--right");
                    $('.loading').prop('disabled', false); 
                    if(res=='1')
                    {
                        swal.fire({

                      title: 'Good Job!',

                      text: 'Settings saved successfully!',

                      type: 'success',

                      confirmButtonText: 'Ok'

                    })
                    }else
                    {
                        swal.fire({

                      title: 'Error!',

                      text: 'Error while saving settings!',

                      type: 'error',

                      confirmButtonText: 'Ok'

                    })
                    }
                })
                
            return false
        });
        
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\wamp64\www\broadcast\resources\views/admin/setting/setting.blade.php ENDPATH**/ ?>