<?php $__env->startSection('title',"Settings"); ?>
<?php $__env->startSection('content'); ?>

<div class="row">  
    <div class="col-md-12 col-lg-12">
     <?php if(Session::has('success')): ?>
                            <div class="alert-box success">
                                <div class="alert alert-success"><?php echo e(Session::get('success')); ?></div>
                            </div>
                         <?php endif; ?>
                         <?php if(Session::has('error')): ?>
                            <div class="alert-box success">
                                <div class="alert alert-danger"><?php echo e(Session::get('error')); ?></div>
                            </div>
                         <?php endif; ?>
        <div class="kt-portlet kt-portlet--tabs">
            <div class="kt-portlet__head">
                <div class="kt-portlet__head-toolbar">
                    <ul class="nav nav-tabs nav-tabs-line nav-tabs-line-danger nav-tabs-line-2x nav-tabs-line-right nav-tabs-bold" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" data-toggle="tab" href="#twilio" role="tab" aria-selected="true">
                                <i class="fa fa-phone-alt" aria-hidden="true"></i>Twilio
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#timezone" role="tab" aria-selected="false">
                                <i class="fab fa fa-clock" aria-hidden="true"></i>Timezone
                            </a>
                        </li>
                        
                    </ul>
                </div>
            </div>
            <div class="kt-portlet__body">
            <form id="seting_form" role="form" method="post" enctype="multipart/form-data" action='<?php echo route("settings.store"); ?>'>
                            <?php echo e(csrf_field()); ?>

                 <input type="hidden" value="<?php echo e(\App\Setting::where('user_id',Auth::User()->id)->value('id')); ?>" name="id" />           
                <div class="tab-content">
                    <div class="tab-pane active" id="twilio" role="tabpanel">
                        <div class="form-group ">
						<label>Twilio Sid</label>
						<div class="input-group">
							<input required type="password" name="twilio_sid" class="form-control" value="<?php echo e(@$data->twilio_sid); ?>" >
							<div class="input-group-append">
								<button  type="button" class="btn btn-primary" type="button"><i style="color:#fff" class="fas fa-fw fa-eye"></i></button>
							</div>
						</div>
					</div>
                    <div class="form-group ">
						<label>Twilio Token</label>
						<div class="input-group">
							<input required type="password" name="twilio_token" class="form-control" value="<?php echo e(@$data->twilio_token); ?>" >
							<div class="input-group-append">
								<button  type="button" class="btn btn-primary" type="button"><i style="color:#fff" class="fas fa-fw fa-eye"></i></button>
							</div>
						</div>
					</div>
                    <button type="submit" class="loading btn btn-info pull-right">Save</button>
                    </div>
                    
                    <div class="tab-pane" id="timezone" role="tabpanel">
                        <div class="form-group">
                                    <label for="timezone">Timezone</label>
                                    <select id="timezone" class="form-control required" name="timezone" data-live-search="true">
                                        <option value="" selected="">Select Timezone</option>
                                        <?php
                                        $timezones = json_decode($timezones, true);
                                        foreach($timezones as $k=>$v){
                                            $selected = "";
                                            $val_sel = isset($data->timezone) ? $data->timezone : '';
                                            if($val_sel==$k){ $selected = "selected='selected'"; }
                                            echo "<option value='$k' $selected >$v</option>";
                                        }
                                        ?>
                                    </select>
                                    <p style="color:red; font-family: unset; display: none;" id="time">Please select timezone (Required)</p>
                                </div>
                                <button type="submit"  class="loading btn btn-info pull-right">Save</button>
                    </div>
                </div>   
                </form>   
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
<script src="<?php echo e(url('assets/js/pages/components/extended/sweetalert2.js')); ?>" type="text/javascript"></script>
<script>
    $(document).ready(function(){
        $("#seting_form").submit(function(){
                $('.loading').addClass("kt-spinner kt-spinner--light kt-spinner--right");
                
                $.post('<?php echo route("settings.store"); ?>',$(this).serialize(),function(res){
                    $('.loading').removeClass("kt-spinner kt-spinner--light kt-spinner--right");
                    if(res=='1')
                    {
                        swal.fire({

                      title: 'Good Job!',

                      text: 'Settings saved successfully!',

                      type: 'success',

                      confirmButtonText: 'Ok'

                    })
                    }else
                    {
                        swal.fire({

                      title: 'Error!',

                      text: 'Error while saving settings!',

                      type: 'error',

                      confirmButtonText: 'Ok'

                    })
                    }
                })
                
            return false
        });
        
    });
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\wamp\www\blog\resources\views/admin/setting/setting.blade.php ENDPATH**/ ?>